Subject: Re: linux-next: build failure after merge of the akpm tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 5 Oct 2018 22:46:06 +1000

Hi Michael,

On Fri, 05 Oct 2018 22:02:45 +1000 Michael Ellerman <[email-masked]> wrote:
>
> Ah fudge, what are the chances we add a new include of bootmem.h just as
> Mike's removing bootmem.

In my experience, it was almost certain ... almost every API removal
conflicts with new added uses.  :-)

> I could just apply that to my tree. memblock.h is where early_memtest() is
> actually defined anyway.

However min_low_pfn and max_low_pfn are defined in bootmem.h until
after it is removed.

-- 
Cheers,
Stephen Rothwell